VMTKNETWORKEDITOR(1)

NAME
vmtknetworkeditor - vmtk script vmtknetworkeditor

DESCRIPTION
Automatic piping vmtknetworkeditor Parsing options vmtknetworkeditor

vmtknetworkeditor : extract an approximated centerline from a surface

    containing at least one hole

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Network (vtkPolyData,1): the input network

-ifile NetworkInputFileName (str,1): filename for the default

    Network reader

-radiusarray RadiusArrayName (str,1); default=Radius

-labelsarray LabelsArrayName (str,1); default=Labels

-spline SplineInterpolation (bool,1); default=1

-activetubes UseActiveTubes (bool,1); default=0

-iterations NumberOfIterations (int,1) >= 0; default=100

-potentialweight PotentialWeight (float,1) >= 0.0; default=1.0

-stiffnessweight StiffnessWeight (float,1) >= 0.0; default=0.0

-xplane PlaneWidgetX (vtkImagePlaneWidget,1): the X image plane

    widget

-yplane PlaneWidgetY (vtkImagePlaneWidget,1): the Y image plane

    widget

-zplane PlaneWidgetZ (vtkImagePlaneWidget,1): the Z image plane

    widget

-image Image (vtkImageData,1)

-imagefile ImageInputFileName (str,1): filename for the default

    Image reader

-featureimage FeatureImage (vtkImageData,1)

-featureimagefile FeatureImageInputFileName (str,1): filename for

    the default FeatureImage reader

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile NetworkOutputFileName (str,1): filename for the default

    Network writer

-osurfacefile SurfaceOutputFileName (str,1): filename for the

    default Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Network (vtkPolyData,1): the output network

-oradiusarray RadiusArrayName (str,1); default=Radius

-osurface Surface (vtkPolyData,1): the output surface